Documentation
Time adjustments
Attendance regularisation / time correction requests.
Requires scope: time-adjustments
Approve requires approverId (manager/hr/org-admin/it-admin).
Endpoints
GET
/api/v1/integrations/time-adjustmentsBearer authList time adjustment requests
POST
/api/v1/integrations/time-adjustmentsBearer authCreate a time adjustment request
Request body
{
"employeeId": "<employeeId>",
"date": "2026-11-10",
"originalTime": "09:45",
"requestedTime": "09:30",
"reason": "Forgot to punch on time",
"category": "forgot_punch"
}POST
/api/v1/integrations/time-adjustments/:id/approveBearer authApprove a time adjustment
Request body
{ "approverId": "<managerId>", "notes": "OK" }